DynamicFrobeniusFacade Class Reference
The Facade Module

A facade for using the dynamic programming Frobenius problem algorithm. More...

`#include <DynamicFrobeniusFacade.h>`

Inheritance diagram for DynamicFrobeniusFacade:

## Public Member Functions

| DynamicFrobeniusFacade (bool printActions)
void | computeFrobeniusNumber (const vector< mpz_class > &instance, mpz_class &frobeniusNumber)

## Additional Inherited Members

Private Member Functions inherited from Facade
| Facade (bool printActions)
| Constructs a facade that prints out what it is doing if printActions is true.
virtual | ~Facade ()
void | printMessage (const char *message)
| Prints message to standard error if printing is turned on.
void | beginAction (const char *message)
| Prints message to standard error if printing is turned on, and records the time when the action started.
void | endAction ()
| Prints to standard error the time since the last call to beginAction.
bool | isPrintingActions () const
| Returns true if printing actions.

## Detailed Description

A facade for using the dynamic programming Frobenius problem algorithm.

Definition at line 30 of file DynamicFrobeniusFacade.h.

## Constructor & Destructor Documentation

## DynamicFrobeniusFacade()

DynamicFrobeniusFacade::DynamicFrobeniusFacade | ( | bool | printActions | ) |

Definition at line 21 of file DynamicFrobeniusFacade.cpp.

## Member Function Documentation

## computeFrobeniusNumber()

void DynamicFrobeniusFacade::computeFrobeniusNumber | ( | const vector< mpz_class > & | instance,
|  | mpz_class & | frobeniusNumber )

Definition at line 26 of file DynamicFrobeniusFacade.cpp.

The documentation for this class was generated from the following files:

- src/DynamicFrobeniusFacade.h
- src/DynamicFrobeniusFacade.cpp